Subject: Re: bug#8289: distcheck and make dvi

From: Jack Kelly <[email-masked]>
Date: Mon, 21 Mar 2011 09:34:07 +1100

On Mon, Mar 21, 2011 at 8:28 AM, Karl Berry <[email-masked]> wrote:
> All together, for a general fix, my suggestion is to simply replace the
> hardwired "dvi" string with a new variable name, like
> $(AM_DISTCHECK_DOC) or some such (no idea if that's a reasonable name,
> but you get the idea), which defaults to dvi and which users can
> override either with "pdf" or with some no-op target.  Which in turn
> would need to be created/documented if one doesn't exist already.

New automake options? Something like:

    AM_INIT_AUTOMAKE([foreign distcheck-doc-pdf no-distcheck-doc-dvi])

>    jack> violate the GNU coding standards, to which automake-generated
>    makefiles are meant to comply?
>
> The dvi: pdf kludge was a user override.  The coding standards aren't an
> issue in that case.

Good to know.

-- Jack